## org.w3c.dom.svg
Interface SVGMatrix

All Known Implementing Classes:
  AbstractSVGMatrix

public interface SVGMatrix

Method Summary
`SVGMatrix` `flipX()`
`SVGMatrix` `flipY()`
`float` `getA()`
`float` `getB()`
`float` `getC()`
`float` `getD()`
`float` `getE()`
`float` `getF()`
`SVGMatrix` `inverse()`
`SVGMatrix` `multiply(SVGMatrix secondMatrix)`
`SVGMatrix` `rotate(float angle)`
`SVGMatrix` `rotateFromVector(float x, float y)`
`SVGMatrix` `scale(float scaleFactor)`
`SVGMatrix` `scaleNonUniform(float scaleFactorX, float scaleFactorY)`
`void` `setA(float a)`
`void` `setB(float b)`
`void` `setC(float c)`
`void` `setD(float d)`
`void` `setE(float e)`
`void` `setF(float f)`
`SVGMatrix` `skewX(float angle)`
`SVGMatrix` `skewY(float angle)`
`SVGMatrix` `translate(float x, float y)`

Method Detail

### getA

    public float getA()

### setA

    public void setA(float a)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getB

    public float getB()

### setB

    public void setB(float b)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getC

    public float getC()

### setC

    public void setC(float c)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getD

    public float getD()

### setD

    public void setD(float d)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getE

    public float getE()

### setE

    public void setE(float e)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getF

    public float getF()

### setF

    public void setF(float f)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### multiply

    public SVGMatrix multiply(SVGMatrix secondMatrix)

### inverse

    public SVGMatrix inverse()
                      throws SVGException

  Throws:
    `SVGException`

### translate

    public SVGMatrix translate(float x,
                               float y)

### scale

    public SVGMatrix scale(float scaleFactor)

### scaleNonUniform

    public SVGMatrix scaleNonUniform(float scaleFactorX,
                                     float scaleFactorY)

### rotate

    public SVGMatrix rotate(float angle)

### rotateFromVector

    public SVGMatrix rotateFromVector(float x,
                                      float y)
                               throws SVGException

  Throws:
    `SVGException`

### flipX

    public SVGMatrix flipX()

### flipY

    public SVGMatrix flipY()

### skewX

    public SVGMatrix skewX(float angle)

### skewY

    public SVGMatrix skewY(float angle)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.